RESTinio

Classes | Namespaces
pcre_regex_engine.hpp File Reference
`#include <pcre.h>`
`#include <restinio/impl/include_fmtlib.hpp>`
`#include <restinio/exception.hpp>`

Go to the source code of this file.

## Classes
struct | restinio::router::pcre_details::match_results_t< Traits >
| A wrapper class for working with pcre match results. More...
struct | restinio::router::pcre_details::match_results_t< Traits >::matched_item_descriptor_t
class | restinio::router::pcre_details::regex_t
| A wrapper for using pcre regexes in express_router. More...
struct | restinio::router::pcre_traits_t< Max_Capture_Groups, Compile_Options, Match_Options >
| PCRE traits. More...
struct | restinio::router::pcre_regex_engine_t< Traits >
| Regex engine implementation for PCRE. More...

## Namespaces
namespace | restinio
namespace | restinio::router
namespace | restinio::router::pcre_details